(function ($) {
  Drupal.behaviors.messageclose = {
    attach: function(context) {

      // Prepend a close button to each message.
      $(".messages:not(.messageclose-processed)").each( function() {
        $(this).addClass('messageclose-processed');
        $(this).prepend('<a href="#" class="messageclose" title="' + Drupal.t('close') + '">&times;</a>');
      });

      // When a close button is clicked hide this message.
      $(".messages a.messageclose").click( function(event) {
        event.preventDefault();
        $(this).parent().fadeOut("slow", function() {
          var messages_left = $("#messages .section").children().size();
          if (messages_left == 1) {
            $("#messages").remove();
          }
          else {
            $(this).remove();
          }
        });
      });

    }
  }
}(jQuery));